GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::ImageWriter Class Reference

ImageWriter. More...

`#include <gdcmImageWriter.h>`

Inheritance diagram for gdcm::ImageWriter:
[legend]
Collaboration diagram for gdcm::ImageWriter:
[legend]

## Public Member Functions

| ImageWriter ()
| ~ImageWriter ()
const Image & | GetImage () const
Image & | GetImage ()
bool | Write ()
| Write.
Public Member Functions inherited from gdcm::PixmapWriter
| PixmapWriter ()
| ~PixmapWriter ()
const Pixmap & | GetPixmap () const
Pixmap & | GetPixmap ()
virtual void | SetImage (Pixmap const &img)
void | SetPixmap (Pixmap const &img)
bool | Write ()
| Write.
Public Member Functions inherited from gdcm::Writer
| Writer ()
virtual | ~Writer ()
void | CheckFileMetaInformationOff ()
void | CheckFileMetaInformationOn ()
File & | GetFile ()
void | SetCheckFileMetaInformation (bool b)
| Undocumented function, do not use (= leave default)
void | SetFile (const File &f)
| Set/Get the DICOM file (DataSet + Header)
void | SetFileName (const char *filename_native)
| Set the filename of DICOM file to write:
void | SetStream (std::ostream &output_stream)
| Set user ostream buffer.

## Additional Inherited Members

Protected Member Functions inherited from gdcm::PixmapWriter
void | DoIconImage (DataSet &ds, Pixmap const &image)
bool | PrepareWrite ()
Protected Attributes inherited from gdcm::PixmapWriter
SmartPointer< Pixmap > | PixelData

## Detailed Description

ImageWriter.

Examples:
  CompressImage.cxx, CreateARGBImage.cxx, CreateCMYKImage.cxx, csa2img.cxx, GenFakeImage.cxx, GetSubSequenceData.cxx, HelloVizWorld.cxx, iU22tomultisc.cxx, and MergeTwoFiles.cxx.

## Constructor & Destructor Documentation

gdcm::ImageWriter::ImageWriter | ( |  | ) |

gdcm::ImageWriter::~ImageWriter | ( |  | ) |

## Member Function Documentation

const Image& gdcm::ImageWriter::GetImage | ( |  | ) | const

inlinevirtual

Set/Get Image to be written It will overwrite anything Image infos found in DataSet (see parent class to see how to pass dataset)

Reimplemented from gdcm::PixmapWriter.

Examples:
  CreateARGBImage.cxx, CreateCMYKImage.cxx, csa2img.cxx, and iU22tomultisc.cxx.

Image& gdcm::ImageWriter::GetImage | ( |  | ) |

inlinevirtual

Reimplemented from gdcm::PixmapWriter.

bool gdcm::ImageWriter::Write | ( |  | ) |

virtual

Write.

Reimplemented from gdcm::Writer.

Examples:
  CompressImage.cxx, CreateARGBImage.cxx, CreateCMYKImage.cxx, csa2img.cxx, GenFakeImage.cxx, HelloVizWorld.cxx, iU22tomultisc.cxx, and MergeTwoFiles.cxx.

The documentation for this class was generated from the following file:

- gdcmImageWriter.h